Update a certificate enrollment profile
PUT /api/v1/ceps/id/. Edge nodes API reference.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Path Parameters
System-generated unique identifier (UUID)
Body
SCEP Certificate Enrollment Profile for obtaining certificates from a SCEP server
User-defined unique name for the profile
3 - 256[a-zA-Z0-9][a-zA-Z0-9_.-]+Full SCEP server URL including scheme, host, and path (e.g., https://ca.example.com/scep)
PEM-encoded trusted CA certificates for SCEP server validation (per RFC8894 section 2.2)
Certificate Signing Request configuration including subject DN, SANs, and key parameters
Human-readable display title
3 - 256[a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+Detailed description of the profile purpose
256If true, SCEP requests are routed through the controller proxy; if false, device connects directly to SCEP server
Write-only secret fields (challenge password). Not returned in GET responses.
Encrypted secret data (set by server, do not modify)
Encryption key reference (set by server, do not modify)
Response
A successful response.
OPS_TYPE_UNSPECIFIED, OPS_TYPE_READ, OPS_TYPE_DELETE, OPS_TYPE_CREATE, OPS_TYPE_UPDATE, OPS_TYPE_LIST - OPS_STATUS_PENDING: In rare cases, system may not start operation when it was requested. Client will be notified that operation is PENDING
- OPS_STATUS_ONGOING: system will start the operation, but at the time response was generated, operation is still ONGOING.
- OPS_STATUS_COMPLETE: Even if the result of the operations may result in failure, but the OpsStatus will marked COMPLETE for almost all cases.
OPS_STATUS_UNSPECIFIED, OPS_STATUS_PENDING, OPS_STATUS_ONGOING, OPS_STATUS_COMPLETE OBJECT_TYPE_UNSPECIFIED, OBJECT_TYPE_USER, OBJECT_TYPE_EDGE_NODE, OBJECT_TYPE_EDGE_APP, OBJECT_TYPE_IMAGE, OBJECT_TYPE_EDGE_APP_INSTANCE, OBJECT_TYPE_PROJECT, OBJECT_TYPE_NETWORK, OBJECT_TYPE_DATASTORE, OBJECT_TYPE_SERVICE, OBJECT_TYPE_SERVICE_INSTANCE, OBJECT_TYPE_ENTERPRISE, OBJECT_TYPE_ROLE, OBJECT_TYPE_CREDENTIAL, OBJECT_TYPE_NETWORK_INSTANCE, OBJECT_TYPE_VOLUME_INSTANCE, OBJECT_TYPE_REALM, OBJECT_TYPE_AUTHPROFILE, OBJECT_TYPE_POLICY, OBJECT_TYPE_APP_POLICY, OBJECT_TYPE_CLUSTER_INSTANCE, OBJECT_TYPE_PLUGIN, OBJECT_TYPE_DOC_POLICY, OBJECT_TYPE_ORCHESTRATOR_CLUSTER, OBJECT_TYPE_TAGS, OBJECT_TYPE_EDGE_NODE_INTERFACE, OBJECT_TYPE_DEPLOYMENT, OBJECT_TYPE_ENTITLEMENTS, OBJECT_TYPE_DATA_STREAM, OBJECT_TYPE_API_USAGE, OBJECT_TYPE_APP_INSTANCE_SNAPSHOT, OBJECT_TYPE_PATCH_ENVELOPE, OBJECT_TYPE_RESOURCE_USAGE_TRACK, OBJECT_TYPE_PATCH_ENVELOPE_REFERENCE, OBJECT_TYPE_DEV_PASSTHROUGH, OBJECT_TYPE_EDGE_NODE_CLUSTER, OBJECT_TYPE_ASSET_GROUP, OBJECT_TYPE_APP_PROFILE, OBJECT_TYPE_PROFILE_DEPLOYMENT, OBJECT_TYPE_ZKS_INSTANCE, OBJECT_TYPE_CLUSTER_GROUP